Subject: [mpls-tp] Question on transmitting CV/CC packets

From: Greg Mirsky <[email-masked]>
Date: Mon, 11 Oct 2010 11:41:10 -0700

Dear Authors and All,
I have a question related to transmission interval calculation described in
first three paragraph of Section 6.8.7 of RFC 5880. According to the third
paragraph effective transmit interval must be not more than 90% and not less
than 75% of negotiated transmission interval. Assuming that MEPs negotiated
rate of 3 OAM messages per 10 ms effective interval, if MPLS-TP follows
requirement from Section 6.8.7 to the letter, must be picked from range
[2.475, 2.97] ms.
I'd like to confirm that the Section 6.8.7 of RFC 5880 is fully applicable
to Proactive CC/CV OAM as defined in draft-ietf-mpls-tp-cc-cv-rdi-01.

Regards,
Greg

---

From: David Allan I <[email-masked]>
Date: Wed, 13 Oct 2010 17:16:37 -0400

Hi Greg:

You missed the "detectmult=1" part. If missing one packet constitutes failure then the sender maximum interval is 90% of the failure detection time. If detect mult=3 (normal usage) then the jitter range is 100% to 75% instead of 90% to 75%...

hope this helps
Dave

________________________________
From: Greg Mirsky [mailto:[email-masked]]
Sent: Monday, October 11, 2010 2:41 PM
To: David Allan I; John E Drake; [email-masked]; Annamaria Fulignoli; Sami Boutros; [email-masked]; Siva Sivabalan(msiva); David Ward; [email-masked]; [email-masked]
Subject: Question on transmitting CV/CC packets

Dear Authors and All,
I have a question related to transmission interval calculation described in first three paragraph of Section 6.8.7 of RFC 5880. According to the third paragraph effective transmit interval must be not more than 90% and not less than 75% of negotiated transmission interval. Assuming that MEPs negotiated rate of 3 OAM messages per 10 ms effective interval, if MPLS-TP follows requirement from Section 6.8.7 to the letter, must be picked from range [2.475, 2.97] ms.
I'd like to confirm that the Section 6.8.7 of RFC 5880 is fully applicable to Proactive CC/CV OAM as defined in draft-ietf-mpls-tp-cc-cv-rdi-01.

Regards,
Greg

---

From: Greg Mirsky <[email-masked]>
Date: Wed, 13 Oct 2010 14:43:23 -0700

Yes, I did.
Greatly appreciated.

Greg

On Wed, Oct 13, 2010 at 2:16 PM, David Allan I
<[email-masked]>wrote:

>  Hi Greg:
>
> You missed the "detectmult=1" part. If missing one packet constitutes
> failure then the sender maximum interval is 90% of the failure detection
> time. If detect mult=3 (normal usage) then the jitter range is 100% to 75%
> instead of 90% to 75%...
>
> hope this helps
> Dave
>
>  ------------------------------
> *From:* Greg Mirsky [mailto:[email-masked]]
> *Sent:* Monday, October 11, 2010 2:41 PM
> *To:* David Allan I; John E Drake; [email-masked]; Annamaria Fulignoli;
> Sami Boutros; [email-masked]; Siva Sivabalan(msiva);
> David Ward; [email-masked]; [email-masked]
> *Subject:* Question on transmitting CV/CC packets
>
> Dear Authors and All,